Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Testing and Deployment

Reply
New Developer
skalluraya
Posts: 47
Registered: ‎10-19-2009
My Device: Not Specified

Application Update error 907

[ Edited ]

Hi All,

 

         I have a small problem. i had developed an application for blackberry which is released in market. Now I had to make changes to the application so that new version can be released. When I tried to sign and update the application over existing previous version application on device i get the error "This application is not compatible with your device" in desktop manager  and Error 907 Invalid COD in OTA. Can any one suggest me what might be probable reasons for getting this error. I want application to get updated on the previous version.  If i delete the old version of the application and install freshly Application loads perfectly fine.

Please use plain text.
Administrator
MSohm
Posts: 14,268
Registered: ‎07-09-2008
My Device: BlackBerry Z30, BlackBerry PlayBook
My Carrier: Bell

Re: Application Update error 907

have a look at the following link:

 

907 Invalid Jar Error when installing an application wirelessly

http://supportforums.blackberry.com/t5/Testing-and-Deployment/907-Invalid-Jar-Error-when-installing-...

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker
Please use plain text.